;Defines macros for the hardware pinout
;
; usage 
;	SetOutputx register,bit

;Port B
; PB0 = Ain0	= R/C Input 
; PB1 = Ain1 	= Threshhold for R/C input
; PB2 =	 	= Home switch
; PB3 = oc1 	= R/C output or PWM output
; PB4 = 	= PWM direction 
; PB5 = MoSi	= Tx_en
; PB6 = MiSo	= Limit1
; PB7 = SCK	= Limit2
;Port D
; PD0 = RXD 	= Serial Rx (Active low) 
; PD1 = TXD 	= Serial Tx (Active low)
; PD2 = Int0 	= Quadrature B input
; PD3 = Int1 	= Quadrature B input again
; PD4 =	T0 	= Quadrature A input
; PD5 = T1 	= Select In
; PD6 = ICP 	= Select Out

.macro MacroSetupOutput

	ldi	al,0b11100111		;port B 1 = pullup
	out	PORTB,al
	ldi	al,0b00011000		;0=in,1=out
	out	DDRB,al

	ldi	al,0b11111111		;port D 1 = pullup
	out	PORTD,al
	ldi	al,0b00000000		;0=in,1=out
	out	DDRD,al

.endmacro

.macro MacroSetSelectDisabled  ;PD5,6 = input
	cbi	DDRD,5		;PD5 = input
	cbi	DDRD,6		;PD6 = input
	sbi	PORTD,5		;PD5 = pullup
	sbi	PORTD,6		;PD6 = pullup
.endmacro
.macro MacroSetSelectActive
	cbi	PORTD,5		;PD5 = low
	cbi	PORTD,6		;PD6 = low
	sbi	DDRD,5		;PD5 = output
	sbi	DDRD,6		;PD6 = output
.endmacro

.macro MacrojmpSelectDisabled
	sbis	PIND,5		;
	rjmp	Mok		;if pin5 is low then ok
	sbic	PIND,6		;if pin6 is low then ok
	rjmp 	@0		;both pins are high
Mok:
.endmacro



.macro SetOutputTestHigh
	sbi	PortB,4
.endmacro
.macro SetOutputTestLow
	cbi	PortB,4
.endmacro
.macro SetOutputTestXor
	sbic	Portb,4
	rjmp	asddvxss
	sbi	Portb,4
	rjmp	wefsdfsd
asddvxss:
	cbi	Portb,4
wefsdfsd:
.endmacro
.macro SetOutputTest
	sbrs	@0,@1
	cbi	PortB,4
	sbrc	@0,@1
	sbi	PortB,4
.endmacro


